Subject: Re: How to echo out shell var inside make in B20
From: [email-masked] (Mumit Khan)

22 Jan 1999 14:57:50 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: "Truong, Ton H" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

"Truong, Ton H" <[email-masked]> writes:
> 
> I just downloaded the B20.1 version and run into this problem which we did
> not have using B18.
> 
> Our makefile defines this variable
> LIB=ttdr
> 
> Say I have this target:
> unittestdebug:
>      echo $$LIB
> 
> With the double dollar sign, I would expect the echo command to echo out the
> VC++ LIB environment variable (c:/msdev/VC/lib; etc...), but it echoes out
> the value "ttdr" - the Makefile variable instead.
> 

You misunderstand how make variable overrides work, and it's quite
understandable since it may seem counter intuitive unless you're used 
to it. See the documentation on using environment variables and so on. 
An easy workaround for your problem is the following:
  
  $ make -e 

or,
  
  $ make --environment-overrides

and it should echo the expected output.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".